## ros-kinetic-kvh-geo-fog-3d 1.3.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(kvh_geo_fog_3d)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-kvh-geo-fog-3d (1.3.3-1xenial) xenial; urgency=high

  * No changes to meta-package

 -- Zach LaCelle <zlacelle@mitre.org>  Tue, 21 Jan 2020 05:00:00 -0000

ros-kinetic-kvh-geo-fog-3d (1.3.2-1xenial) xenial; urgency=high

  * No changes to meta-package

 -- Zach LaCelle <zlacelle@mitre.org>  Fri, 17 Jan 2020 05:00:00 -0000

ros-kinetic-kvh-geo-fog-3d (1.3.1-1xenial) xenial; urgency=high

  * No changes to meta-package

 -- Zach LaCelle <zlacelle@mitre.org>  Tue, 14 Jan 2020 05:00:00 -0000

ros-kinetic-kvh-geo-fog-3d (1.3.0-1xenial) xenial; urgency=high

  * Adding license in package.xml
  * Fixing license for the metapackage.
  * Moving license files to be under each package, since theoretically they could be licensed separately.
  * Contributors: Zach LaCelle

 -- Zach LaCelle <zlacelle@mitre.org>  Mon, 02 Dec 2019 05:00:00 -0000

ros-kinetic-kvh-geo-fog-3d (1.2.0-1xenial) xenial; urgency=high

  * Updating metapackage.

 -- Zach LaCelle <zlacelle@mitre.org>  Fri, 27 Sep 2019 04:00:00 -0000

ros-kinetic-kvh-geo-fog-3d (1.1.0-1xenial) xenial; urgency=high

  * Adding a metadata package.

 -- Zach LaCelle <zlacelle@mitre.org>  Tue, 13 Aug 2019 17:32:35 -0400

=== debian/control ===
Source: ros-kinetic-kvh-geo-fog-3d
Section: misc
Priority: optional
Maintainer: Zach LaCelle <zlacelle@mitre.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-kvh-geo-fog-3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-kvh-geo-fog-3d-driver, ros-kinetic-kvh-geo-fog-3d-msgs, ros-kinetic-kvh-geo-fog-3d-rviz
Description: Provides a driver node for KVH GEO FOG 3D INS sensors, messages, and rviz plugins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-kvh-geo-fog-3d//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
